<?php
require_once '../app/model/db.class.php';
require_once("../dompdf/dompdf_config.inc.php");
require_once "../dompdf/www/functions.inc.php";

if (!isset($_SESSION)) { session_start(); }


   $grado=$_REQUEST['grado'];
   $curso=$_REQUEST['curso'];
   

   $obj1 = new database();
   $obj1->conectar();
   $obj1->consulta("set names 'utf8'");
    
  
   $desgrado1=$obj1->consulta("select * from grados where codigo='".$grado."';");
   $desgrado = $obj1->fetch_assoc($desgrado1);

   $descurso1=$obj1->consulta("select * from cursos 
                               where codigo='".$curso."' 
							   and grado='".$grado."';");
							   
   $descurso = $obj1->fetch_assoc($descurso1);
   
   $desjor1=$obj1->consulta("select * from jornadas where codigo='".$descurso['jornada']."';");
   $desjor = $obj1->fetch_assoc($desjor1);
   
   $dessede1=$obj1->consulta("select * from sedes where codigo='".$descurso['sede']."';");
   $dessede = $obj1->fetch_assoc($dessede1);
   
   $reg1=$obj1->consulta("select * from registrar");
   $reg = $obj1->fetch_assoc($reg1);
  
    //-----------------------------------------------

    $cadena="select matriculas.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, profesores.nombres from profesores inner join (cursos inner join (titulares inner join (alumnos inner join matriculas 
             on alumnos.codigo = matriculas.codigo) on (titulares.grado = matriculas.grado) and (titulares.curso = matriculas.curso)) on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)) on profesores.cedula = titulares.profesor 
             where matriculas.grado='".$grado."' 
			 and matriculas.curso='".$curso."' 
			 and matriculas.estado='A' 
			 order by p_apellido,s_apellido,p_nombre,s_nombre";
    
   $cadena=$obj1->consulta($cadena);

    $s="<TABLE border=0>
        <tr>";
        
    $e=1;
    $p=1;
    while($row = $obj1->fetch_assoc($cadena)){                 
        
        if ($e%6==0){
            $s.="<tr>";
            $e=1;
        }        
        
        $nombre_fichero1= "../fotos/".$row['codigo'].".JPG";
        $nombre_fichero2= "../fotos/".$row['codigo'].".jpg";
        
        $nombres="<BR>".$row['codigo']."<BR>".$row['p_apellido']." ".$row['s_apellido']."<BR>".$row['p_nombre']." ".$row['s_nombre'];
                            
        if (file_exists($nombre_fichero1))
           $s.="<TD align='center' style='font-size:10px;font-weight: bold;'><img src='../fotos/".$row['codigo'].".JPG'  height='170' width='130'>".($nombres)."</TD>";
          
        elseif (file_exists($nombre_fichero2))
            $s.="<TD align='center' style='font-size:10px;font-weight: bold;'><img src='../fotos/".$row['codigo'].".jpg'  height='170' width='130'>".($nombres)."</TD>";
        else
           $s.="<TD align='center' style='font-size:10px;font-weight: bold;'><img src='../fotos/SIN_FOTO.JPG'  height='160' width='130'>".$nombres."</TD>";

        $nombre_fichero1='';
        $nombre_fichero2='';
        
        $p++;
        if ($p==6){
            $s.="</tr>";
            $p=1;
        }
    
        $e++;
                
    }
    
    if ($p<6)
        $s.="</tr>";
   
    $s.="</TABLE>";

     
$html="<html>
<head>

<title>Mosaico</title>

<style>
@page { margin:60px 20px 20px 20px;}
#header {position:fixed; left:0px; top:-150px; right:0px; height:80px; text-align:center;}                       
</style>

</head>
<body>

<center>
<table align='center' border='1' >

<tr style='font-size:10px'>

    <td><B>GRADO:</B></td>
    <td>&nbsp;".$desgrado['descripcion']."</td>

    <td><B>CURSO:</B></td>
    <td>&nbsp;".$descurso['codigo']." - ". $descurso['descripcion']."</td>

    <td><B>A&Ntilde;O LECTIVO:</B></td>
    <td>".date('Y')."</td>

    <td><B>JORNADA:</B></td>
    <td>".($desjor['descripcion'])."</td>
	
    <td><B>SEDE:</B></td>
    <td>".($dessede['descripcion'])."</td>	
</tr>

</table>
</center>
".$s."
</body>
</html>";


//     ".$s."
     
  // echo $html;
 //echo $mostrar;

$obj1->disconnect();

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('A4', 'portrait');
$dompdf->render();

$dompdf->stream($grado."_".$curso.".pdf", array("Attachment" => false));

?>